scala.swing.Component

# SuperMixin

#### trait SuperMixin extends JComponent

This trait is used to redirect certain calls from the peer to the wrapper and back. Useful to expose methods that can be customized by overriding.

Attributes
  protected
Source
  Component.scala

Linear Supertypes
JComponent, HasGetTransferHandler, java.awt.Container, java.awt.Component, java.io.Serializable, MenuContainer, ImageObserver, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SuperMixin
2. JComponent
3. HasGetTransferHandler
4. Container
5. Component
6. Serializable
7. MenuContainer
8. ImageObserver
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract class AccessibleAWTComponent extends AccessibleContext with java.io.Serializable with AccessibleComponent

   Attributes
     protected
   Definition Classes
     Component

2. #### class AccessibleAWTContainer extends AccessibleAWTComponent

   Attributes
     protected
   Definition Classes
     Container

3. #### abstract class AccessibleJComponent extends AccessibleAWTContainer with AccessibleExtendedComponent

   Definition Classes
     JComponent

4. #### final class ActionStandin extends javax.swing.Action

   Attributes
     private[javax.swing]
   Definition Classes
     JComponent

5. #### class BltBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

6. #### class FlipBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

7. #### final class NativeInLightFixer extends ComponentListener with ContainerListener

   Attributes
     private[java.awt]
   Definition Classes
     Component

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SuperMixin to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (SuperMixin, B)

   Implicit information
     This member is added by an implicit conversion from SuperMixin to ArrowAssoc[SuperMixin] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def __super__paint(g: Graphics): Unit

9. #### def __super__paintBorder(g: Graphics): Unit

10. #### def __super__paintChildren(g: Graphics): Unit

11. #### def __super__paintComponent(g: Graphics): Unit

12. #### def add(arg0: java.awt.Component, arg1: Any, arg2: Int): Unit

    Definition Classes
      Container

13. #### def add(arg0: java.awt.Component, arg1: Any): Unit

    Definition Classes
      Container

14. #### def add(arg0: java.awt.Component, arg1: Int): java.awt.Component

    Definition Classes
      Container

15. #### def add(arg0: String, arg1: java.awt.Component): java.awt.Component

    Definition Classes
      Container

16. #### def add(arg0: java.awt.Component): java.awt.Component

    Definition Classes
      Container

17. #### def add(arg0: PopupMenu): Unit

    Definition Classes
      Component

18. #### def addAncestorListener(arg0: AncestorListener): Unit

    Definition Classes
      JComponent

19. #### def addComponentListener(arg0: ComponentListener): Unit

    Definition Classes
      Component

20. #### def addContainerListener(arg0: ContainerListener): Unit

    Definition Classes
      Container

21. #### def addFocusListener(arg0: FocusListener): Unit

    Definition Classes
      Component

22. #### def addHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

    Definition Classes
      Component

23. #### def addHierarchyListener(arg0: HierarchyListener): Unit

    Definition Classes
      Component

24. #### def addImpl(arg0: java.awt.Component, arg1: Any, arg2: Int): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Container

25. #### def addInputMethodListener(arg0: InputMethodListener): Unit

    Definition Classes
      Component

26. #### def addKeyListener(arg0: KeyListener): Unit

    Definition Classes
      Component

27. #### def addMouseListener(arg0: MouseListener): Unit

    Definition Classes
      Component

28. #### def addMouseMotionListener(arg0: MouseMotionListener): Unit

    Definition Classes
      Component

29. #### def addMouseWheelListener(arg0: MouseWheelListener): Unit

    Definition Classes
      Component

30. #### def addNotify(): Unit

    Definition Classes
      JComponent → Container → Component

31. #### def addPropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

32. #### def addPropertyChangeListener(arg0: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

33. #### def addVetoableChangeListener(arg0: VetoableChangeListener): Unit

    Definition Classes
      JComponent

34. #### def applyComponentOrientation(arg0: ComponentOrientation): Unit

    Definition Classes
      Container → Component

35. #### def areFocusTraversalKeysSet(arg0: Int): Boolean

    Definition Classes
      Container → Component

36. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

37. #### def checkImage(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: ImageObserver): Int

    Definition Classes
      Component

38. #### def checkImage(arg0: java.awt.Image, arg1: ImageObserver): Int

    Definition Classes
      Component

39. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

40. #### def coalesceEvents(arg0: AWTEvent, arg1: AWTEvent): AWTEvent

    Attributes
      protected[java.awt]
    Definition Classes
      Component

41. #### def computeVisibleRect(arg0: java.awt.Rectangle): Unit

    Definition Classes
      JComponent

42. #### def contains(arg0: Int, arg1: Int): Boolean

    Definition Classes
      JComponent → Component

43. #### def contains(arg0: java.awt.Point): Boolean

    Definition Classes
      Component

44. #### def createImage(arg0: Int, arg1: Int): java.awt.Image

    Definition Classes
      Component

45. #### def createImage(arg0: ImageProducer): java.awt.Image

    Definition Classes
      Component

46. #### def createToolTip(): JToolTip

    Definition Classes
      JComponent

47. #### def createVolatileImage(arg0: Int, arg1: Int, arg2: ImageCapabilities): VolatileImage

    Definition Classes
      Component
    Annotations
      @throws( classOf[java.awt.AWTException] )

48. #### def createVolatileImage(arg0: Int, arg1: Int): VolatileImage

    Definition Classes
      Component

49. #### final def disableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

50. #### final def dispatchEvent(arg0: AWTEvent): Unit

    Definition Classes
      Component

51. #### def doLayout(): Unit

    Definition Classes
      Container → Component

52. #### final def enableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

53. #### def enableInputMethods(arg0: Boolean): Unit

    Definition Classes
      Component

54. #### def ensuring(cond: (SuperMixin) ⇒ Boolean, msg: ⇒ Any): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

55. #### def ensuring(cond: (SuperMixin) ⇒ Boolean): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

56. #### def ensuring(cond: Boolean, msg: ⇒ Any): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

57. #### def ensuring(cond: Boolean): SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

58. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

59. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

60. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

61. #### def findComponentAt(arg0: java.awt.Point): java.awt.Component

    Definition Classes
      Container

62. #### def findComponentAt(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container

63. #### def firePropertyChange(arg0: String, arg1: Char, arg2: Char): Unit

    Definition Classes
      JComponent → Component

64. #### def firePropertyChange(arg0: String, arg1: Int, arg2: Int): Unit

    Definition Classes
      JComponent → Component

65. #### def firePropertyChange(arg0: String, arg1: Boolean, arg2: Boolean): Unit

    Definition Classes
      JComponent → Component

66. #### def firePropertyChange(arg0: String, arg1: Double, arg2: Double): Unit

    Definition Classes
      Component

67. #### def firePropertyChange(arg0: String, arg1: Float, arg2: Float): Unit

    Definition Classes
      Component

68. #### def firePropertyChange(arg0: String, arg1: Long, arg2: Long): Unit

    Definition Classes
      Component

69. #### def firePropertyChange(arg0: String, arg1: Short, arg2: Short): Unit

    Definition Classes
      Component

70. #### def firePropertyChange(arg0: String, arg1: Byte, arg2: Byte): Unit

    Definition Classes
      Component

71. #### def firePropertyChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

72. #### def fireVetoableChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[javax.swing]
    Definition Classes
      JComponent
    Annotations
      @throws( ... )

73. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from SuperMixin to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

74. #### def getAccessibleContext(): AccessibleContext

    Definition Classes
      JComponent → Component

75. #### def getActionForKeyStroke(arg0: KeyStroke): ActionListener

    Definition Classes
      JComponent

76. #### final def getActionMap(): ActionMap

    Definition Classes
      JComponent

77. #### def getAlignmentX(): Float

    Definition Classes
      JComponent → Container → Component

78. #### def getAlignmentY(): Float

    Definition Classes
      JComponent → Container → Component

79. #### def getAncestorListeners(): Array[AncestorListener]

    Definition Classes
      JComponent

80. #### def getAutoscrolls(): Boolean

    Definition Classes
      JComponent

81. #### def getBackground(): java.awt.Color

    Definition Classes
      Component

82. #### def getBaseline(arg0: Int, arg1: Int): Int

    Definition Classes
      JComponent → Component

83. #### def getBaselineResizeBehavior(): BaselineResizeBehavior

    Definition Classes
      JComponent → Component

84. #### def getBorder(): Border

    Definition Classes
      JComponent

85. #### def getBounds(arg0: java.awt.Rectangle): java.awt.Rectangle

    Definition Classes
      JComponent → Component

86. #### def getBounds(): java.awt.Rectangle

    Definition Classes
      Component

87. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

88. #### final def getClientProperty(arg0: Any): AnyRef

    Definition Classes
      JComponent

89. #### def getColorModel(): ColorModel

    Definition Classes
      Component

90. #### def getComponent(arg0: Int): java.awt.Component

    Definition Classes
      Container

91. #### def getComponentAt(arg0: java.awt.Point): java.awt.Component

    Definition Classes
      Container → Component

92. #### def getComponentAt(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container → Component

93. #### def getComponentCount(): Int

    Definition Classes
      Container

94. #### def getComponentGraphics(arg0: Graphics): Graphics

    Attributes
      protected[javax.swing]
    Definition Classes
      JComponent

95. #### def getComponentListeners(): Array[ComponentListener]

    Definition Classes
      Component

96. #### def getComponentOrientation(): ComponentOrientation

    Definition Classes
      Component

97. #### def getComponentPopupMenu(): JPopupMenu

    Definition Classes
      JComponent

98. #### def getComponentZOrder(arg0: java.awt.Component): Int

    Definition Classes
      Container

99. #### def getComponents(): Array[java.awt.Component]

    Definition Classes
      Container

100. #### def getConditionForKeyStroke(arg0: KeyStroke): Int

     Definition Classes
       JComponent

101. #### def getContainerListeners(): Array[ContainerListener]

     Definition Classes
       Container

102. #### def getCursor(): Cursor

     Definition Classes
       Component

103. #### def getDebugGraphicsOptions(): Int

     Definition Classes
       JComponent

104. #### def getDropTarget(): DropTarget

     Definition Classes
       Component

105. #### def getFocusCycleRootAncestor(): java.awt.Container

     Definition Classes
       Component

106. #### def getFocusListeners(): Array[FocusListener]

     Definition Classes
       Component

107. #### def getFocusTraversalKeys(arg0: Int): Set[AWTKeyStroke]

     Definition Classes
       Container → Component

108. #### def getFocusTraversalKeysEnabled(): Boolean

     Definition Classes
       Component

109. #### def getFocusTraversalPolicy(): FocusTraversalPolicy

     Definition Classes
       Container

110. #### def getFont(): java.awt.Font

     Definition Classes
       Component → MenuContainer

111. #### def getFontMetrics(arg0: java.awt.Font): FontMetrics

     Definition Classes
       JComponent → Component

112. #### def getForeground(): java.awt.Color

     Definition Classes
       Component

113. #### def getGraphics(): Graphics

     Definition Classes
       JComponent → Component

114. #### def getGraphicsConfiguration(): GraphicsConfiguration

     Definition Classes
       Component

115. #### def getHeight(): Int

     Definition Classes
       JComponent → Component

116. #### def getHierarchyBoundsListeners(): Array[HierarchyBoundsListener]

     Definition Classes
       Component

117. #### def getHierarchyListeners(): Array[HierarchyListener]

     Definition Classes
       Component

118. #### def getIgnoreRepaint(): Boolean

     Definition Classes
       Component

119. #### def getInheritsPopupMenu(): Boolean

     Definition Classes
       JComponent

120. #### def getInputContext(): InputContext

     Definition Classes
       Component

121. #### final def getInputMap(): InputMap

     Definition Classes
       JComponent

122. #### final def getInputMap(arg0: Int): InputMap

     Definition Classes
       JComponent

123. #### def getInputMethodListeners(): Array[InputMethodListener]

     Definition Classes
       Component

124. #### def getInputMethodRequests(): InputMethodRequests

     Definition Classes
       Component

125. #### def getInputVerifier(): InputVerifier

     Definition Classes
       JComponent

126. #### def getInsets(arg0: java.awt.Insets): java.awt.Insets

     Definition Classes
       JComponent

127. #### def getInsets(): java.awt.Insets

     Definition Classes
       JComponent → Container

128. #### def getKeyListeners(): Array[KeyListener]

     Definition Classes
       Component

129. #### def getLayout(): LayoutManager

     Definition Classes
       Container

130. #### def getListeners[T <: EventListener](arg0: Class[T]): Array[T]

     Definition Classes
       JComponent → Container → Component

131. #### def getLocale(): Locale

     Definition Classes
       Component

132. #### def getLocation(arg0: java.awt.Point): java.awt.Point

     Definition Classes
       JComponent → Component

133. #### def getLocation(): java.awt.Point

     Definition Classes
       Component

134. #### def getLocationOnScreen(): java.awt.Point

     Definition Classes
       Component

135. #### def getMaximumSize(): java.awt.Dimension

     Definition Classes
       JComponent → Container → Component

136. #### def getMinimumSize(): java.awt.Dimension

     Definition Classes
       JComponent → Container → Component

137. #### def getMouseListeners(): Array[MouseListener]

     Definition Classes
       Component

138. #### def getMouseMotionListeners(): Array[MouseMotionListener]

     Definition Classes
       Component

139. #### def getMousePosition(arg0: Boolean): java.awt.Point

     Definition Classes
       Container
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

140. #### def getMousePosition(): java.awt.Point

     Definition Classes
       Component
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

141. #### def getMouseWheelListeners(): Array[MouseWheelListener]

     Definition Classes
       Component

142. #### def getName(): String

     Definition Classes
       Component

143. #### def getParent(): java.awt.Container

     Definition Classes
       Component

144. #### def getPopupLocation(arg0: MouseEvent): java.awt.Point

     Definition Classes
       JComponent

145. #### def getPreferredSize(): java.awt.Dimension

     Definition Classes
       JComponent → Container → Component

146. #### def getPropertyChangeListeners(arg0: String): Array[PropertyChangeListener]

     Definition Classes
       Component

147. #### def getPropertyChangeListeners(): Array[PropertyChangeListener]

     Definition Classes
       Component

148. #### def getRegisteredKeyStrokes(): Array[KeyStroke]

     Definition Classes
       JComponent

149. #### def getRootPane(): JRootPane

     Definition Classes
       JComponent

150. #### def getSize(arg0: java.awt.Dimension): java.awt.Dimension

     Definition Classes
       JComponent → Component

151. #### def getSize(): java.awt.Dimension

     Definition Classes
       Component

152. #### def getToolTipLocation(arg0: MouseEvent): java.awt.Point

     Definition Classes
       JComponent

153. #### def getToolTipText(arg0: MouseEvent): String

     Definition Classes
       JComponent

154. #### def getToolTipText(): String

     Definition Classes
       JComponent

155. #### def getToolkit(): Toolkit

     Definition Classes
       Component

156. #### def getTopLevelAncestor(): java.awt.Container

     Definition Classes
       JComponent

157. #### def getTransferHandler(): TransferHandler

     Definition Classes
       JComponent → HasGetTransferHandler

158. #### final def getTreeLock(): AnyRef

     Definition Classes
       Component

159. #### def getUIClassID(): String

     Definition Classes
       JComponent

160. #### def getVerifyInputWhenFocusTarget(): Boolean

     Definition Classes
       JComponent

161. #### def getVetoableChangeListeners(): Array[VetoableChangeListener]

     Definition Classes
       JComponent

162. #### def getVisibleRect(): java.awt.Rectangle

     Definition Classes
       JComponent

163. #### def getWidth(): Int

     Definition Classes
       JComponent → Component

164. #### def getX(): Int

     Definition Classes
       JComponent → Component

165. #### def getY(): Int

     Definition Classes
       JComponent → Component

166. #### def grabFocus(): Unit

     Definition Classes
       JComponent

167. #### def hasFocus(): Boolean

     Definition Classes
       Component

168. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

169. #### def imageUpdate(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: Int, arg4: Int, arg5: Int): Boolean

     Definition Classes
       Component → ImageObserver

170. #### def invalidate(): Unit

     Definition Classes
       Container → Component

171. #### def isAncestorOf(arg0: java.awt.Component): Boolean

     Definition Classes
       Container

172. #### def isBackgroundSet(): Boolean

     Definition Classes
       Component

173. #### def isCursorSet(): Boolean

     Definition Classes
       Component

174. #### def isDisplayable(): Boolean

     Definition Classes
       Component

175. #### def isDoubleBuffered(): Boolean

     Definition Classes
       JComponent → Component

176. #### def isEnabled(): Boolean

     Definition Classes
       Component

177. #### def isFocusCycleRoot(): Boolean

     Definition Classes
       Container

178. #### def isFocusCycleRoot(arg0: java.awt.Container): Boolean

     Definition Classes
       Container → Component

179. #### def isFocusOwner(): Boolean

     Definition Classes
       Component

180. #### final def isFocusTraversalPolicyProvider(): Boolean

     Definition Classes
       Container

181. #### def isFocusTraversalPolicySet(): Boolean

     Definition Classes
       Container

182. #### def isFocusable(): Boolean

     Definition Classes
       Component

183. #### def isFontSet(): Boolean

     Definition Classes
       Component

184. #### def isForegroundSet(): Boolean

     Definition Classes
       Component

185. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

186. #### def isLightweight(): Boolean

     Definition Classes
       Component

187. #### def isMaximumSizeSet(): Boolean

     Definition Classes
       Component

188. #### def isMinimumSizeSet(): Boolean

     Definition Classes
       Component

189. #### def isOpaque(): Boolean

     Definition Classes
       JComponent → Component

190. #### def isOptimizedDrawingEnabled(): Boolean

     Definition Classes
       JComponent

191. #### final def isPaintingForPrint(): Boolean

     Definition Classes
       JComponent

192. #### def isPaintingTile(): Boolean

     Definition Classes
       JComponent

193. #### def isPreferredSizeSet(): Boolean

     Definition Classes
       Component

194. #### def isRequestFocusEnabled(): Boolean

     Definition Classes
       JComponent

195. #### def isShowing(): Boolean

     Definition Classes
       Component

196. #### def isValid(): Boolean

     Definition Classes
       Component

197. #### def isValidateRoot(): Boolean

     Definition Classes
       JComponent

198. #### def isVisible(): Boolean

     Definition Classes
       Component

199. #### def list(arg0: PrintWriter, arg1: Int): Unit

     Definition Classes
       Container → Component

200. #### def list(arg0: PrintStream, arg1: Int): Unit

     Definition Classes
       Container → Component

201. #### def list(arg0: PrintWriter): Unit

     Definition Classes
       Component

202. #### def list(arg0: PrintStream): Unit

     Definition Classes
       Component

203. #### def list(): Unit

     Definition Classes
       Component

204. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

205. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

206. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

207. #### def paint(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent → Container → Component

208. #### def paintAll(arg0: Graphics): Unit

     Definition Classes
       Component

209. #### def paintBorder(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent

210. #### def paintChildren(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent

211. #### def paintComponent(g: Graphics): Unit

     Definition Classes
       SuperMixin → JComponent

212. #### def paintComponents(arg0: Graphics): Unit

     Definition Classes
       Container

213. #### def paintImmediately(arg0: java.awt.Rectangle): Unit

     Definition Classes
       JComponent

214. #### def paintImmediately(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       JComponent

215. #### def paramString(): String

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Container → Component

216. #### def prepareImage(arg0: java.awt.Image, arg1: Int, arg2: Int, arg3: ImageObserver): Boolean

     Definition Classes
       Component

217. #### def prepareImage(arg0: java.awt.Image, arg1: ImageObserver): Boolean

     Definition Classes
       Component

218. #### def print(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

219. #### def printAll(arg0: Graphics): Unit

     Definition Classes
       JComponent → Component

220. #### def printBorder(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

221. #### def printChildren(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

222. #### def printComponent(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

223. #### def printComponents(arg0: Graphics): Unit

     Definition Classes
       Container

224. #### def processComponentEvent(arg0: ComponentEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

225. #### def processComponentKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

226. #### def processContainerEvent(arg0: ContainerEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

227. #### def processEvent(arg0: AWTEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container → Component

228. #### def processFocusEvent(arg0: FocusEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

229. #### def processHierarchyBoundsEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

230. #### def processHierarchyEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

231. #### def processInputMethodEvent(arg0: InputMethodEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

232. #### def processKeyBinding(arg0: KeyStroke, arg1: KeyEvent, arg2: Int, arg3: Boolean): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

233. #### def processKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

234. #### def processMouseEvent(arg0: MouseEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

235. #### def processMouseMotionEvent(arg0: MouseEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

236. #### def processMouseWheelEvent(arg0: MouseWheelEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

237. #### final def putClientProperty(arg0: Any, arg1: Any): Unit

     Definition Classes
       JComponent

238. #### def registerKeyboardAction(arg0: ActionListener, arg1: KeyStroke, arg2: Int): Unit

     Definition Classes
       JComponent

239. #### def registerKeyboardAction(arg0: ActionListener, arg1: String, arg2: KeyStroke, arg3: Int): Unit

     Definition Classes
       JComponent

240. #### def remove(arg0: java.awt.Component): Unit

     Definition Classes
       Container

241. #### def remove(arg0: Int): Unit

     Definition Classes
       Container

242. #### def remove(arg0: MenuComponent): Unit

     Definition Classes
       Component → MenuContainer

243. #### def removeAll(): Unit

     Definition Classes
       Container

244. #### def removeAncestorListener(arg0: AncestorListener): Unit

     Definition Classes
       JComponent

245. #### def removeComponentListener(arg0: ComponentListener): Unit

     Definition Classes
       Component

246. #### def removeContainerListener(arg0: ContainerListener): Unit

     Definition Classes
       Container

247. #### def removeFocusListener(arg0: FocusListener): Unit

     Definition Classes
       Component

248. #### def removeHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

     Definition Classes
       Component

249. #### def removeHierarchyListener(arg0: HierarchyListener): Unit

     Definition Classes
       Component

250. #### def removeInputMethodListener(arg0: InputMethodListener): Unit

     Definition Classes
       Component

251. #### def removeKeyListener(arg0: KeyListener): Unit

     Definition Classes
       Component

252. #### def removeMouseListener(arg0: MouseListener): Unit

     Definition Classes
       Component

253. #### def removeMouseMotionListener(arg0: MouseMotionListener): Unit

     Definition Classes
       Component

254. #### def removeMouseWheelListener(arg0: MouseWheelListener): Unit

     Definition Classes
       Component

255. #### def removeNotify(): Unit

     Definition Classes
       JComponent → Container → Component

256. #### def removePropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

     Definition Classes
       Component

257. #### def removePropertyChangeListener(arg0: PropertyChangeListener): Unit

     Definition Classes
       Component

258. #### def removeVetoableChangeListener(arg0: VetoableChangeListener): Unit

     Definition Classes
       JComponent

259. #### def repaint(arg0: java.awt.Rectangle): Unit

     Definition Classes
       JComponent

260. #### def repaint(arg0: Long, arg1: Int, arg2: Int, arg3: Int, arg4: Int): Unit

     Definition Classes
       JComponent → Component

261. #### def repaint(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

262. #### def repaint(arg0: Long): Unit

     Definition Classes
       Component

263. #### def repaint(): Unit

     Definition Classes
       Component

264. #### def requestFocus(arg0: Boolean): Boolean

     Definition Classes
       JComponent → Component

265. #### def requestFocus(): Unit

     Definition Classes
       JComponent → Component

266. #### def requestFocusInWindow(arg0: Boolean): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

267. #### def requestFocusInWindow(): Boolean

     Definition Classes
       JComponent → Component

268. #### def resetKeyboardActions(): Unit

     Definition Classes
       JComponent

269. #### def revalidate(): Unit

     Definition Classes
       JComponent

270. #### def scrollRectToVisible(arg0: java.awt.Rectangle): Unit

     Definition Classes
       JComponent

271. #### final def setActionMap(arg0: ActionMap): Unit

     Definition Classes
       JComponent

272. #### def setAlignmentX(arg0: Float): Unit

     Definition Classes
       JComponent

273. #### def setAlignmentY(arg0: Float): Unit

     Definition Classes
       JComponent

274. #### def setAutoscrolls(arg0: Boolean): Unit

     Definition Classes
       JComponent

275. #### def setBackground(arg0: java.awt.Color): Unit

     Definition Classes
       JComponent → Component

276. #### def setBorder(arg0: Border): Unit

     Definition Classes
       JComponent

277. #### def setBounds(arg0: java.awt.Rectangle): Unit

     Definition Classes
       Component

278. #### def setBounds(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

279. #### def setComponentOrientation(arg0: ComponentOrientation): Unit

     Definition Classes
       Component

280. #### def setComponentPopupMenu(arg0: JPopupMenu): Unit

     Definition Classes
       JComponent

281. #### def setComponentZOrder(arg0: java.awt.Component, arg1: Int): Unit

     Definition Classes
       Container

282. #### def setCursor(arg0: Cursor): Unit

     Definition Classes
       Component

283. #### def setDebugGraphicsOptions(arg0: Int): Unit

     Definition Classes
       JComponent

284. #### def setDoubleBuffered(arg0: Boolean): Unit

     Definition Classes
       JComponent

285. #### def setDropTarget(arg0: DropTarget): Unit

     Definition Classes
       Component

286. #### def setEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

287. #### def setFocusCycleRoot(arg0: Boolean): Unit

     Definition Classes
       Container

288. #### def setFocusTraversalKeys(arg0: Int, arg1: Set[_ <: AWTKeyStroke]): Unit

     Definition Classes
       JComponent → Container → Component

289. #### def setFocusTraversalKeysEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

290. #### def setFocusTraversalPolicy(arg0: FocusTraversalPolicy): Unit

     Definition Classes
       Container

291. #### final def setFocusTraversalPolicyProvider(arg0: Boolean): Unit

     Definition Classes
       Container

292. #### def setFocusable(arg0: Boolean): Unit

     Definition Classes
       Component

293. #### def setFont(arg0: java.awt.Font): Unit

     Definition Classes
       JComponent → Container → Component

294. #### def setForeground(arg0: java.awt.Color): Unit

     Definition Classes
       JComponent → Component

295. #### def setIgnoreRepaint(arg0: Boolean): Unit

     Definition Classes
       Component

296. #### def setInheritsPopupMenu(arg0: Boolean): Unit

     Definition Classes
       JComponent

297. #### final def setInputMap(arg0: Int, arg1: InputMap): Unit

     Definition Classes
       JComponent

298. #### def setInputVerifier(arg0: InputVerifier): Unit

     Definition Classes
       JComponent

299. #### def setLayout(arg0: LayoutManager): Unit

     Definition Classes
       Container

300. #### def setLocale(arg0: Locale): Unit

     Definition Classes
       Component

301. #### def setLocation(arg0: java.awt.Point): Unit

     Definition Classes
       Component

302. #### def setLocation(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

303. #### def setMaximumSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       JComponent → Component

304. #### def setMinimumSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       JComponent → Component

305. #### def setName(arg0: String): Unit

     Definition Classes
       Component

306. #### def setOpaque(arg0: Boolean): Unit

     Definition Classes
       JComponent

307. #### def setPreferredSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       JComponent → Component

308. #### def setRequestFocusEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent

309. #### def setSize(arg0: java.awt.Dimension): Unit

     Definition Classes
       Component

310. #### def setSize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

311. #### def setToolTipText(arg0: String): Unit

     Definition Classes
       JComponent

312. #### def setTransferHandler(arg0: TransferHandler): Unit

     Definition Classes
       JComponent

313. #### def setUI(arg0: ComponentUI): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

314. #### def setVerifyInputWhenFocusTarget(arg0: Boolean): Unit

     Definition Classes
       JComponent

315. #### def setVisible(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

316. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

317. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → AnyRef → Any

318. #### def transferFocus(): Unit

     Definition Classes
       Component

319. #### def transferFocusBackward(): Unit

     Definition Classes
       Container → Component

320. #### def transferFocusDownCycle(): Unit

     Definition Classes
       Container

321. #### def transferFocusUpCycle(): Unit

     Definition Classes
       Component

322. #### def unregisterKeyboardAction(arg0: KeyStroke): Unit

     Definition Classes
       JComponent

323. #### def update(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

324. #### def updateUI(): Unit

     Definition Classes
       JComponent

325. #### def validate(): Unit

     Definition Classes
       Container → Component

326. #### def validateTree(): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

327. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

328. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

329. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

330. #### def →[B](y: B): (SuperMixin, B)

     Implicit information
       This member is added by an implicit conversion from SuperMixin to ArrowAssoc[SuperMixin] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SuperMixin to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (superMixin: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SuperMixin to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (superMixin: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def action(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def bounds(): java.awt.Rectangle

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def countComponents(): Int

   Definition Classes
     Container
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def deliverEvent(arg0: Event): Unit

   Definition Classes
     Container → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def disable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def enable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def enable(arg0: Boolean): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def getNextFocusableComponent(): java.awt.Component

   Definition Classes
     JComponent
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def getPeer(): ComponentPeer

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def gotFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def handleEvent(arg0: Event): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def hide(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

13. #### def insets(): java.awt.Insets

    Definition Classes
      Container
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

14. #### def inside(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

15. #### def isFocusTraversable(): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

16. #### def isManagingFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

17. #### def keyDown(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

18. #### def keyUp(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

19. #### def layout(): Unit

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

20. #### def locate(arg0: Int, arg1: Int): java.awt.Component

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

21. #### def location(): java.awt.Point

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

22. #### def lostFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

23. #### def minimumSize(): java.awt.Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

24. #### def mouseDown(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

25. #### def mouseDrag(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

26. #### def mouseEnter(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

27. #### def mouseExit(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

28. #### def mouseMove(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

29. #### def mouseUp(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

30. #### def move(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

31. #### def nextFocus(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

32. #### def postEvent(arg0: Event): Boolean

    Definition Classes
      Component → MenuContainer
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

33. #### def preferredSize(): java.awt.Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

34. #### def requestDefaultFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

35. #### def reshape(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

    Definition Classes
      JComponent → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

36. #### def resize(arg0: java.awt.Dimension): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

37. #### def resize(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

38. #### def setNextFocusableComponent(arg0: java.awt.Component): Unit

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

39. #### def show(arg0: Boolean): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

40. #### def show(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

41. #### def size(): java.awt.Dimension

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

42. #### def x: SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to ArrowAssoc[SuperMixin] performed by method any2ArrowAssoc in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (superMixin: ArrowAssoc[SuperMixin]).x

    Definition Classes
      ArrowAssoc
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `leftOfArrow`instead``

43. #### def x: SuperMixin

    Implicit information
      This member is added by an implicit conversion from SuperMixin to Ensuring[SuperMixin] performed by method any2Ensuring in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (superMixin: Ensuring[SuperMixin]).x

    Definition Classes
      Ensuring
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from JComponent

### Inherited from HasGetTransferHandler

### Inherited from java.awt.Container

### Inherited from java.awt.Component

### Inherited from java.io.Serializable

### Inherited from MenuContainer

### Inherited from ImageObserver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SuperMixin to StringAdd

### Inherited by implicit conversion any2stringfmt from SuperMixin to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from SuperMixin to ArrowAssoc[SuperMixin]

### Inherited by implicit conversion any2Ensuring from SuperMixin to Ensuring[SuperMixin]

### Ungrouped